/*
 * @quakePlotFilterStruct.java Version 1.1 08/17/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package quake;

/** Class quakePlotFilterStruct
 *  <p> This class will hold the filter ranges
 *
 *  @version 1.1 08/17/2015
 *  @author  John R. Victorine
 */

public class quakePlotFilterStruct
{
  public static final int _BY_DEPTH = 0;
  public static final int _BY_DATA  = 1;

  public int    iBy        = _BY_DEPTH; // Filter By Indicator

  public String sKEY       = "0"; // Primary Key

  public double depthStart = 0.0; // Starting Depth
  public double depthEnd   = 0.0; // Ending Depth

  public double dataStart  = 0.0; // Starting Data Value
  public double dataEnd    = 0.0; // Ending Data Value

  // Symbol and Color

  public int    iEmpty     = 0;   // Open or Filled Symbol
  public int    iSymbol    = 0;   // Symbol Identifier.
  public int    iRed       = 0;   // Red Color in RGB Setting
  public int    iGreen     = 0;   // Green Color in RGB Setting
  public int    iBlue      = 0;   // Blue Color in RGB Setting
  public String symbol     = "";  // Label for the selected symbol.

  /** Method delete()
   *  <p> This method will set the arrays and strings to null to force Java to
   *     deallocate memory
   */

  public void delete()
  {
	sKEY    = null; // Primary Key
    symbol  = null; // Label for the selected symbol.
  }
}

/*
 *  @version 1.1 08/17/2015
 *  @author  John Victorine
 */
